---
document: modulemd
version: 2
data:
  name: perl-DBI
  stream: "1.641"
  version: 8100020260811084159
  context: fbe42456
  arch: x86_64
  summary: A database access API for Perl
  description: >
    DBI is a database access Application Programming Interface (API) for the Perl
    language. The DBI API specification defines a set of functions, variables and
    conventions that provide a consistent database interface independent of the actual
    database being used.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      platform: [el8]
  references:
    community: http://dbi.perl.org/
  profiles:
    common:
      description: DBI distribution
      rpms:
      - perl-DBI
  api:
    rpms:
    - perl-DBI
  buildopts:
    rpms:
      macros: >
        %_without_perl_DBI_enables_Clone 1

        %_without_perl_DBI_enables_coro 1

        %_without_perl_DBI_enables_DB_File 1

        %_without_perl_DBI_enables_MLDBM 1

        %_without_perl_DBI_enables_optional_test 1

        %_without_perl_DBI_enables_SQL_Statement 1
  components:
    rpms:
      perl-DBI:
        rationale: The API.
        ref: f4c8b0b92749df83431eb1d38ed0c8d1a6095430
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - perl-DBI-0:1.641-8.module_el8.10.0+4246+612ff319.src
    - perl-DBI-0:1.641-8.module_el8.10.0+4246+612ff319.x86_64
    - perl-DBI-debuginfo-0:1.641-8.module_el8.10.0+4246+612ff319.x86_64
    - perl-DBI-debugsource-0:1.641-8.module_el8.10.0+4246+612ff319.x86_64
...
